| Kea 3.0.2-git

post_request_json.h File Reference
`#include <cc/data.h>`
`#include <exceptions/exceptions.h>`
`#include <http/post_request.h>`
`#include <boost/shared_ptr.hpp>`
`#include <string>`
Include dependency graph for post_request_json.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::http::HttpRequestJsonError
| Exception thrown when body of the HTTP message is not JSON. More...
class | isc::http::PostHttpRequestJson
| Represents HTTP POST request with JSON body. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::http

## Typedefs
typedef boost::shared_ptr< PostHttpRequestJson > | isc::http::PostHttpRequestJsonPtr
| Pointer to PostHttpRequestJson.